classification
Title: importlib.readers.MultiplexedPath.name is not a property
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.11, Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: FFY00, ap--, jaraco, miss-islington
Priority: normal Keywords: patch

Created on 2021-03-27 21:21 by ap--, last changed 2021-05-23 18:59 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 26284 merged jaraco, 2021-05-21 16:13
PR 26286 merged miss-islington, 2021-05-21 17:00
Messages (4)
msg389615 - (view) Author: Andreas Poehlmann (ap--) * Date: 2021-03-27 21:21
Hello,

I was using the `importlib_resources` backport and encountered this issue, which is also present in cpython:

`importlib.readers.MultiplexedPath.name` is not a property as required by `importlib.abc.Traversable` 


I can prepare a pull request if it helps.

Cheers,
Andreas
msg393814 - (view) Author: Filipe LaĆ­ns (FFY00) * (Python triager) Date: 2021-05-17 14:56
For references, this was fixed in https://github.com/python/importlib_resources/commit/9822338e8de57e99aa3c26275ebdbf8925af7bc8#diff-811ea42dba2528e9a6cbedc91e993dc2a9d4b65626ad364c6ded7b03e0d0a1fa and should go into CPython in the next code sync.
msg394122 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-05-21 15:48
I'd intended for the changes in 5.1 to make it into CPython, but I've missed the deadline, so I've backported the referenced commits to importlib_resources 5.0.5 in order to sync into CPython.
msg394136 - (view) Author: miss-islington (miss-islington) Date: 2021-05-21 17:52
New changeset fdb65e399ea4e2d13dd41d65662ba25cafe15f1d by Miss Islington (bot) in branch '3.10':
[3.10] bpo-43643: Sync with c17a610aad.">python/importlib_resources@c17a610aad. (GH-26284) (GH-26286)
https://github.com/python/cpython/commit/fdb65e399ea4e2d13dd41d65662ba25cafe15f1d
History
Date User Action Args
2021-05-23 18:59:59jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-05-21 17:52:33miss-islingtonsetmessages: + msg394136
2021-05-21 17:00:49miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24892
2021-05-21 16:13:23jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request24890
2021-05-21 15:48:29jaracosetmessages: + msg394122
versions: + Python 3.11
2021-05-17 14:56:26FFY00setnosy: + FFY00
messages: + msg393814
2021-03-27 21:21:46ap--create